
/********************************************
files.h

libmawk changes (C) 2009-2010, Tibor 'Igor2' Palinkas;
based on mawk code coming with the below copyright:

copyright 1991, Michael D. Brennan

This is a source file for mawk, an implementation of
the AWK programming language.

Mawk is distributed without warranty under the terms of
the GNU General Public License, version 2, 1991.
********************************************/

#ifndef   FILES_H
#define   FILES_H

/* IO redirection types */
#define  F_IN           (-5)
#define  PIPE_IN        (-4)
#define  PIPE_OUT       (-3)
#define  F_APPEND       (-2)
#define  F_TRUNC        (-1)
#define  IS_OUTPUT(type)  ((type)>=PIPE_OUT)

FILE_NODE *mawk_file_find(mawk_state_t *, mawk_string_t *, int);
int mawk_file_close(mawk_state_t *, mawk_string_t *);
int mawk_file_flush(mawk_state_t *, mawk_string_t *);
void mawk_flush_all_output(mawk_state_t * MAWK);
void mawk_close_out_pipes(mawk_state_t * MAWK);

#ifndef MAWK_NO_FORK
int mawk_wait_for(mawk_state_t *, int);
#endif


#endif
